summaryrefslogtreecommitdiff
path: root/tools/travis-install.sh
diff options
context:
space:
mode:
authorAlexis Hildebrandt <afh@surryhill.net>2015-07-31 10:29:51 +0200
committerAlexis Hildebrandt <afh@surryhill.net>2015-07-31 11:43:32 +0200
commit1ef946a9b9b45698fd0fc603c196c58072fb735c (patch)
treee3e52e2b198ee3886f6b343bad739c393ce1e019 /tools/travis-install.sh
parente03f6dab61451552403f4f36142e4d4a2e3aece1 (diff)
downloadfork-ledger-1ef946a9b9b45698fd0fc603c196c58072fb735c.tar.gz
fork-ledger-1ef946a9b9b45698fd0fc603c196c58072fb735c.tar.bz2
fork-ledger-1ef946a9b9b45698fd0fc603c196c58072fb735c.zip
[travis] Fix Travis CI builds
Add multi-os build configuration and use a custom build of boost.
Diffstat (limited to 'tools/travis-install.sh')
-rwxr-xr-xtools/travis-install.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/tools/travis-install.sh b/tools/travis-install.sh
new file mode 100755
index 00000000..b5039d5c
--- /dev/null
+++ b/tools/travis-install.sh
@@ -0,0 +1,23 @@
+#!/usr/bin/env bash
+
+#set -x
+set -e
+set -o pipefail
+
+if [ "${TRAVIS_OS_NAME}" = "osx" ]; then
+ for formula in $(echo "${BREWS//,/ }"); do
+ echo "Checking ${formula} formula"
+ brew outdated "${formula}" \
+ || (brew unlink "${formula}"
+ brew install "${formula}"
+ )
+ done
+fi
+
+if [ -d "${BOOST_ROOT}" ]; then
+ echo "Installing boost ${BOOST_VERSION} in ${BOOST_ROOT}"
+ (cd "${BOOST_ROOT}"
+ ./bootstrap.sh --with-libraries="${BOOST_LIBS}"
+ ./b2 threading=multi --prefix="${BOOST_ROOT}" -d0 install
+ )
+fi